aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--boot/robot/integration_robot_properties.py10
-rw-r--r--heat/ONAP/cloud-config/aaf_install.sh19
-rw-r--r--heat/vCPE/vbng/base_vcpe_vbng.env1
-rw-r--r--heat/vCPE/vbng/base_vcpe_vbng.yaml6
-rw-r--r--heat/vCPE/vbng/build_vcpe_vbng.env1
-rw-r--r--heat/vCPE/vbng/build_vcpe_vbng.yaml1
-rw-r--r--heat/vCPE/vbrgemu/base_vcpe_vbrgemu.env1
-rw-r--r--heat/vCPE/vbrgemu/base_vcpe_vbrgemu.yaml6
-rw-r--r--heat/vCPE/vbrgemu/build_vcpe_vbrgemu.env1
-rw-r--r--heat/vCPE/vbrgemu/build_vcpe_vbrgemu.yaml1
-rw-r--r--heat/vCPE/vgmux/base_vcpe_vgmux.yaml1
-rw-r--r--heat/vCPE/vgmux/build_vcpe_vgmux.yaml1
-rw-r--r--heat/vCPE/vgw/base_vcpe_vgw.yaml1
-rw-r--r--heat/vCPE/vgw/build_vcpe_vgw.yaml1
-rw-r--r--vnfs/vCPE/scripts/v_bng_build.sh27
-rw-r--r--vnfs/vCPE/scripts/v_bng_install.sh3
-rw-r--r--vnfs/vCPE/scripts/v_brgemu_build.sh46
-rwxr-xr-xvnfs/vCPE/scripts/v_brgemu_install.sh3
-rw-r--r--vnfs/vCPE/scripts/v_gmux_build.sh49
-rw-r--r--vnfs/vCPE/scripts/v_gmux_install.sh2
-rw-r--r--vnfs/vCPE/scripts/v_gw_build.sh40
-rw-r--r--vnfs/vCPE/scripts/v_gw_install.sh3
22 files changed, 176 insertions, 48 deletions
diff --git a/boot/robot/integration_robot_properties.py b/boot/robot/integration_robot_properties.py
index a701dd41..5facd54f 100644
--- a/boot/robot/integration_robot_properties.py
+++ b/boot/robot/integration_robot_properties.py
@@ -52,6 +52,16 @@ GLOBAL_MR_SERVER_PORT = "3904"
# mso info - everything is from the private oam network (also called onap private network)
GLOBAL_MSO_SERVER_PROTOCOL = "http"
GLOBAL_MSO_SERVER_PORT = "8080"
+# SO containers
+GLOBAL_MSO_APIHAND_SERVER_PORT = "8080"
+GLOBAL_MSO_ASDCHAND_SERVER_PORT = "8085"
+GLOBAL_MSO_BPMN_SERVER_PORT = "8081"
+GLOBAL_MSO_CATDB_SERVER_PORT = "8082"
+GLOBAL_MSO_OPENSTACK_SERVER_PORT = "8087"
+GLOBAL_MSO_REQDB_SERVER_PORT = "8083"
+GLOBAL_MSO_SDNC_SERVER_PORT = "8090"
+GLOBAL_MSO_VFC_SERVER_PORT = "8084"
+
GLOBAL_MSO_USERNAME = "InfraPortalClient"
GLOBAL_MSO_PASSWORD = "password1$"
# music info - everything is from the private oam network (also called onap private network)
diff --git a/heat/ONAP/cloud-config/aaf_install.sh b/heat/ONAP/cloud-config/aaf_install.sh
index 2d6657ec..61f23daa 100644
--- a/heat/ONAP/cloud-config/aaf_install.sh
+++ b/heat/ONAP/cloud-config/aaf_install.sh
@@ -115,6 +115,13 @@ under the License.
-->
</pluginGroups>
+EOF
+
+if [[ $(cat /opt/config/https_proxy.txt) != "no_proxy" ]]; then
+ HTTPS_PROXY_HOST=$(cat /opt/config/https_proxy.txt | cut -d ':' -f1)
+ HTTPS_PROXY_PORT=$(cat /opt/config/https_proxy.txt | cut -d ':' -f2)
+
+ cat >> settings.xml << EOF
<!-- proxies
| This is a list of proxies which can be used on this machine to connect to the network.
| Unless otherwise specified (by system property or command-line switch), the first proxy
@@ -127,8 +134,8 @@ under the License.
<protocol>http</protocol>
<username>proxyuser</username>
<password>proxypass</password>
- <host>$(cat /opt/config/http_proxy.txt | cut -d ':' -f1)</host>
- <port>$(cat /opt/config/http_proxy.txt | cut -d ':' -f2)</port>
+ <host>$HTTPS_PROXY_HOST</host>
+ <port>$HTTPS_PROXY_PORT</port>
<nonProxyHosts>local.net|some.host.com</nonProxyHosts>
</proxy>
<proxy>
@@ -137,12 +144,16 @@ under the License.
<protocol>https</protocol>
<username>proxyuser</username>
<password>proxypass</password>
- <host>$(cat /opt/config/https_proxy.txt | cut -d ':' -f1)</host>
- <port>$(cat /opt/config/https_proxy.txt | cut -d ':' -f2)</port>
+ <host>$HTTPS_PROXY_HOST</host>
+ <port>$HTTPS_PROXY_PORT</port>
<nonProxyHosts>local.net|some.host.com</nonProxyHosts>
</proxy>
</proxies>
+EOF
+fi
+
+cat >> settings.xml << EOF
<!-- servers
| This is a list of authentication profiles, keyed by the server-id used within the system.
diff --git a/heat/vCPE/vbng/base_vcpe_vbng.env b/heat/vCPE/vbng/base_vcpe_vbng.env
index 6d860adb..a29fe632 100644
--- a/heat/vCPE/vbng/base_vcpe_vbng.env
+++ b/heat/vCPE/vbng/base_vcpe_vbng.env
@@ -1,7 +1,6 @@
parameters:
vcpe_image_name: PUT THE IMAGE NAME HERE (Ubuntu 1604 SUGGESTED)
vcpe_flavor_name: PUT THE FLAVOR NAME HERE (MEDIUM FLAVOR SUGGESTED)
- compile_state: done
public_net_id: PUT THE PUBLIC NETWORK ID HERE
brgemu_bng_private_net_id: zdfw1bngin01_private
brgemu_bng_private_subnet_id: zdfw1bngin01_sub_private
diff --git a/heat/vCPE/vbng/base_vcpe_vbng.yaml b/heat/vCPE/vbng/base_vcpe_vbng.yaml
index 997e4c23..fbdbf8f2 100644
--- a/heat/vCPE/vbng/base_vcpe_vbng.yaml
+++ b/heat/vCPE/vbng/base_vcpe_vbng.yaml
@@ -161,10 +161,6 @@ parameters:
type: string
label: SDNC IP address
description: IP address of the SDNC
- compile_state:
- type: string
- label: Compile State
- description: State to compile code or not; included for backwards compatibility
#############
# #
@@ -250,7 +246,6 @@ resources:
__script_version__ : { get_param: script_version }
__cloud_env__ : { get_param: cloud_env }
__sdnc_ip_addr__: { get_param: sdnc_ip_addr }
- __compile_state__ : { get_param: compile_state }
__nexus_artifact_repo__: { get_param: nexus_artifact_repo }
template: |
#!/bin/bash
@@ -272,7 +267,6 @@ resources:
echo "__script_version__" > /opt/config/script_version.txt
echo "__cloud_env__" > /opt/config/cloud_env.txt
echo "__sdnc_ip_addr__" > /opt/config/sdnc_ip_addr.txt
- echo "__compile_state__" > /opt/config/compile_state.txt
echo "__nexus_artifact_repo__" > /opt/config/nexus_artifact_repo.txt
# Download and run install script
diff --git a/heat/vCPE/vbng/build_vcpe_vbng.env b/heat/vCPE/vbng/build_vcpe_vbng.env
index b7e2de05..ba9a2c40 100644
--- a/heat/vCPE/vbng/build_vcpe_vbng.env
+++ b/heat/vCPE/vbng/build_vcpe_vbng.env
@@ -1,7 +1,6 @@
parameters:
vcpe_image_name: PUT THE IMAGE NAME HERE (Ubuntu 1604 SUGGESTED)
vcpe_flavor_name: PUT THE FLAVOR NAME HERE (MEDIUM FLAVOR SUGGESTED)
- compile_state: build
public_net_id: PUT THE PUBLIC NETWORK ID HERE
vbng_name_0: zdcpe1cpe01bng01
vnf_id: vCPE_Infrastructure_Metro_vBNG_demo_app
diff --git a/heat/vCPE/vbng/build_vcpe_vbng.yaml b/heat/vCPE/vbng/build_vcpe_vbng.yaml
index eb623f8a..59cc2911 100644
--- a/heat/vCPE/vbng/build_vcpe_vbng.yaml
+++ b/heat/vCPE/vbng/build_vcpe_vbng.yaml
@@ -101,6 +101,7 @@ parameters:
type: string
label: Compile State
description: State to compile code or not; included for backwards compatibility
+ default: "done"
#############
# #
diff --git a/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.env b/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.env
index ce29647b..41b5bfcf 100644
--- a/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.env
+++ b/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.env
@@ -1,7 +1,6 @@
parameters:
vcpe_image_name: PUT THE IMAGE NAME HERE (Ubuntu 1604 or vbrg-base-ubuntu-16-04 SUGGESTED)
vcpe_flavor_name: PUT THE FLAVOR NAME HERE (MEDIUM FLAVOR SUGGESTED)
- compile_state: done
public_net_id: PUT THE PUBLIC NETWORK ID HERE
vbrgemu_bng_private_net_id: zdfw1bngin01_private
vbrgemu_bng_private_subnet_id: zdfw1bngin01_sub_private
diff --git a/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.yaml b/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.yaml
index 22970344..e0b6da49 100644
--- a/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.yaml
+++ b/heat/vCPE/vbrgemu/base_vcpe_vbrgemu.yaml
@@ -120,10 +120,6 @@ parameters:
type: string
label: SDNC ip address
description: SDNC ip address used to set NAT
- compile_state:
- type: string
- label: Compile State
- description: State to compile code or not; included for backwards compatibility
#############
# #
@@ -201,7 +197,6 @@ resources:
__script_version__ : { get_param: script_version }
__cloud_env__ : { get_param: cloud_env }
__sdnc_ip__ : { get_param: sdnc_ip }
- __compile_state__ : { get_param: compile_state }
__nexus_artifact_repo__: { get_param: nexus_artifact_repo }
template: |
#!/bin/bash
@@ -216,7 +211,6 @@ resources:
echo "__script_version__" > /opt/config/script_version.txt
echo "__cloud_env__" > /opt/config/cloud_env.txt
echo "__sdnc_ip__" > /opt/config/sdnc_ip.txt
- echo "__compile_state__" > /opt/config/compile_state.txt
echo "__nexus_artifact_repo__" > /opt/config/nexus_artifact_repo.txt
# Download and run install script
diff --git a/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.env b/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.env
index 4c9ae439..15035a64 100644
--- a/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.env
+++ b/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.env
@@ -1,7 +1,6 @@
parameters:
vcpe_image_name: PUT THE IMAGE NAME HERE (Ubuntu 1604 or vbrg-base-ubuntu-16-04 SUGGESTED)
vcpe_flavor_name: PUT THE FLAVOR NAME HERE (MEDIUM FLAVOR SUGGESTED)
- compile_state: build
vbrgemu_name_0: zdcpe1cpe01brgemu01
vnf_id: vCPE_Infrastructure_BGREMU_demo_app
vf_module_id: vCPE_Customer_BRGEMU
diff --git a/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.yaml b/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.yaml
index c5a3332e..e176747f 100644
--- a/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.yaml
+++ b/heat/vCPE/vbrgemu/build_vcpe_vbrgemu.yaml
@@ -111,6 +111,7 @@ parameters:
type: string
label: Compile State
description: State to compile code or not; included for backwards compatibility
+ default: "done"
#############
# #
diff --git a/heat/vCPE/vgmux/base_vcpe_vgmux.yaml b/heat/vCPE/vgmux/base_vcpe_vgmux.yaml
index 220c88fc..2bbf65c7 100644
--- a/heat/vCPE/vgmux/base_vcpe_vgmux.yaml
+++ b/heat/vCPE/vgmux/base_vcpe_vgmux.yaml
@@ -237,7 +237,6 @@ resources:
if [[ "__script_version__" =~ "SNAPSHOT" ]]; then REPO=snapshots; else REPO=releases; fi
curl -k -L "__nexus_artifact_repo__/service/local/artifact/maven/redirect?r=${REPO}&g=org.onap.demo.vnf.vcpe&a=vcpe-scripts&e=zip&v=__script_version__" -o /opt/vcpe-scripts-__script_version__.zip
unzip -j /opt/vcpe-scripts-__script_version__.zip -d /opt v_gmux_install.sh
- sudo su -
cd /opt
chmod +x v_gmux_install.sh
./v_gmux_install.sh
diff --git a/heat/vCPE/vgmux/build_vcpe_vgmux.yaml b/heat/vCPE/vgmux/build_vcpe_vgmux.yaml
index c2bd4f4d..ea007666 100644
--- a/heat/vCPE/vgmux/build_vcpe_vgmux.yaml
+++ b/heat/vCPE/vgmux/build_vcpe_vgmux.yaml
@@ -206,7 +206,6 @@ resources:
if [[ "__script_version__" =~ "SNAPSHOT" ]]; then REPO=snapshots; else REPO=releases; fi
curl -k -L "__nexus_artifact_repo__/service/local/artifact/maven/redirect?r=${REPO}&g=org.onap.demo.vnf.vcpe&a=vcpe-scripts&e=zip&v=__install_script_version__" -o /opt/vcpe-scripts-__script_version__.zip
unzip -j /opt/vcpe-scripts-__script_version__.zip -d /opt v_gmux_build.sh
- sudo su -
cd /opt
chmod +x v_gmux_build.sh
./v_gmux_build.sh
diff --git a/heat/vCPE/vgw/base_vcpe_vgw.yaml b/heat/vCPE/vgw/base_vcpe_vgw.yaml
index e58634c6..5167c0a0 100644
--- a/heat/vCPE/vgw/base_vcpe_vgw.yaml
+++ b/heat/vCPE/vgw/base_vcpe_vgw.yaml
@@ -236,7 +236,6 @@ resources:
if [[ "__script_version__" =~ "SNAPSHOT" ]]; then REPO=snapshots; else REPO=releases; fi
curl -k -L "__nexus_artifact_repo__/service/local/artifact/maven/redirect?r=${REPO}&g=org.onap.demo.vnf.vcpe&a=vcpe-scripts&e=zip&v=__script_version__" -o /opt/vcpe-scripts-__script_version__.zip
unzip -j /opt/vcpe-scripts-__script_version__.zip -d /opt v_gw_install.sh
- sudo su -
cd /opt
chmod +x v_gw_install.sh
./v_gw_install.sh
diff --git a/heat/vCPE/vgw/build_vcpe_vgw.yaml b/heat/vCPE/vgw/build_vcpe_vgw.yaml
index a80d1ef3..3bd8532b 100644
--- a/heat/vCPE/vgw/build_vcpe_vgw.yaml
+++ b/heat/vCPE/vgw/build_vcpe_vgw.yaml
@@ -188,7 +188,6 @@ resources:
if [[ "__script_version__" =~ "SNAPSHOT" ]]; then REPO=snapshots; else REPO=releases; fi
curl -k -L "__nexus_artifact_repo__/service/local/artifact/maven/redirect?r=${REPO}&g=org.onap.demo.vnf.vcpe&a=vcpe-scripts&e=zip&v=__script_version__" -o /opt/vcpe-scripts-__script_version__.zip
unzip -j /opt/vcpe-scripts-__script_version__.zip -d /opt v_gw_build.sh
- sudo su -
cd /opt
chmod +x v_gw_build.sh
./v_gw_build.sh
diff --git a/vnfs/vCPE/scripts/v_bng_build.sh b/vnfs/vCPE/scripts/v_bng_build.sh
index 5ad0eb97..5ec533be 100644
--- a/vnfs/vCPE/scripts/v_bng_build.sh
+++ b/vnfs/vCPE/scripts/v_bng_build.sh
@@ -6,7 +6,7 @@ VPP_SOURCE_REPO_URL=$(cat /opt/config/vpp_source_repo_url.txt)
VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/vpp_source_repo_release_tag.txt)
VPP_PATCH_URL=$(cat /opt/config/vpp_patch_url.txt)
CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
-
+ERROR_MESSAGE='Execution of vBRG script failed.'
# Convert Network CIDR to Netmask
cdr2mask () {
@@ -41,6 +41,13 @@ cdr2mask () {
patch -p1 < ../Vpp-Integrate-FreeRADIUS-Client-for-vBNG.patch
UNATTENDED='y' make install-dep
+# Check VPP build status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: VPP build failed' > /opt/script_status.txt
+ exit
+ fi
+
# Install the FreeRADIUS client since we need the lib
cd /opt
git clone https://github.com/FreeRADIUS/freeradius-client.git
@@ -54,12 +61,27 @@ cdr2mask () {
./bootstrap.sh
make V=0 PLATFORM=vpp TAG=vpp install-deb
+# Check vpp/build-root status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: vpp/build-root build failed' > /opt/script_status.txt
+ exit
+ fi
+
# Install additional dependencies for vpp
apt-get install -y python-cffi python-ply python-pycparser
# Install the VPP package
cd /opt/vpp/build-root
dpkg -i *.deb
+
+# Check VPP package installation status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: VPP package installation failed' > /opt/script_status.txt
+ exit
+ fi
+
systemctl stop vpp
# Disable automatic upgrades
@@ -68,3 +90,6 @@ cdr2mask () {
echo "APT::Periodic::Unattended-Upgrade \"0\";" >> /etc/apt/apt.conf.d/10periodic
sed -i 's/\(APT::Periodic::Unattended-Upgrade\) "1"/\1 "0"/' /etc/apt/apt.conf.d/20auto-upgrades
fi
+
+# Indicate script has finished executing
+ echo 'Execution of vBNG build script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_bng_install.sh b/vnfs/vCPE/scripts/v_bng_install.sh
index 0ed020f2..2105cec1 100644
--- a/vnfs/vCPE/scripts/v_bng_install.sh
+++ b/vnfs/vCPE/scripts/v_bng_install.sh
@@ -325,3 +325,6 @@ EOF
fi
./v_bng_init.sh
+
+# Indicate script has finished executing
+ echo 'Execution of vBNG install script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_brgemu_build.sh b/vnfs/vCPE/scripts/v_brgemu_build.sh
index c936fae5..072a5509 100644
--- a/vnfs/vCPE/scripts/v_brgemu_build.sh
+++ b/vnfs/vCPE/scripts/v_brgemu_build.sh
@@ -6,6 +6,7 @@ VPP_PATCH_URL=$(cat /opt/config/vpp_patch_url.txt)
HC2VPP_SOURCE_REPO_URL=$(cat /opt/config/hc2vpp_source_repo_url.txt)
HC2VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/hc2vpp_source_repo_release_tag.txt)
CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
+ERROR_MESSAGE='Execution of vBRG build script failed.'
# Convert Network CIDR to Netmask
cdr2mask () {
@@ -24,27 +25,43 @@ cdr2mask () {
# Install the tools required for download codes
apt-get install -y expect git patch make linux-image-extra-`uname -r`
-#Download and build the VPP codes
+# Download and build the VPP codes
cd /opt
git clone ${VPP_SOURCE_REPO_URL} -b ${VPP_SOURCE_REPO_RELEASE_TAG} vpp
wget -O VPP-Add-Option82-Nat-Filter-For-vBRG.patch ${VPP_PATCH_URL}
cd vpp
patch -p1 < ../VPP-Add-Option82-Nat-Filter-For-vBRG.patch
- expect -c "
- set timeout 60;
- spawn make install-dep;
- expect {
- \"Do you want to continue?*\" {send \"Y\r\"; interact}
- }
- "
+ yes y | make install-dep
+
+# Check vpp build status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: VPP build failed' > /opt/script_status.txt
+ exit
+ fi
cd build-root
./bootstrap.sh
make V=0 PLATFORM=vpp TAG=vpp install-deb
- # Install the VPP package
+# Check vpp/build-root build status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: vpp/build-root build failed' > /opt/script_status.txt
+ exit
+ fi
+
+# Install the VPP package
dpkg -i *.deb
+
+# Check vpp package installation status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: VPP package installation failed' > /opt/script_status.txt
+ exit
+ fi
+
systemctl stop vpp
# Download and install HC2VPP from source
@@ -164,6 +181,14 @@ EOF
cd hc2vpp
mvn clean install
+
+# Check hc2vpp build status
+ if [[$? -ne 0]]
+ then
+ echo $ERROR_MESSAGE 'Reason: hc2vpp build failed' > /opt/script_status.txt
+ exit
+ fi
+
l_version=$(cat pom.xml | grep "<version>" | head -1)
l_version=$(echo "${l_version%<*}")
l_version=$(echo "${l_version#*>}")
@@ -176,3 +201,6 @@ EOF
echo "APT::Periodic::Unattended-Upgrade \"0\";" >> /etc/apt/apt.conf.d/10periodic
sed -i 's/\(APT::Periodic::Unattended-Upgrade\) "1"/\1 "0"/' /etc/apt/apt.conf.d/20auto-upgrades
fi
+
+# Indicate script has finished executing
+ echo 'Execution of vBRG build script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_brgemu_install.sh b/vnfs/vCPE/scripts/v_brgemu_install.sh
index e8be086e..7adda829 100755
--- a/vnfs/vCPE/scripts/v_brgemu_install.sh
+++ b/vnfs/vCPE/scripts/v_brgemu_install.sh
@@ -342,3 +342,6 @@ EOF
fi
./v_brgemu_init.sh
+
+# Indicate script has finished executing
+ echo 'Execution of vBRG install script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gmux_build.sh b/vnfs/vCPE/scripts/v_gmux_build.sh
index da357b03..b85445a6 100644
--- a/vnfs/vCPE/scripts/v_gmux_build.sh
+++ b/vnfs/vCPE/scripts/v_gmux_build.sh
@@ -9,7 +9,7 @@ HC2VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/hc2vpp_source_repo_release_tag.
HC2VPP_PATCH_URL=$(cat /opt/config/hc2vpp_patch_url.txt)
LIBEVEL_PATCH_URL=$(cat /opt/config/libevel_patch_url.txt)
CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
-
+ERROR_MESSAGE="Execution of vG-MUX build script failed. Reason"
# Download required dependencies
echo "deb http://ppa.launchpad.net/openjdk-r/ppa/ubuntu $(lsb_release -c -s) main" >> /etc/apt/sources.list.d/java.list
@@ -28,12 +28,14 @@ wget -O Vpp-Add-VES-agent-for-vG-MUX.patch ${VPP_PATCH_URL}
cd vpp
patch -p1 < ../Vpp-Add-VES-agent-for-vG-MUX.patch
-expect -c "
- spawn make install-dep;
- expect {
- \"Do you want to continue?*\" {send \"Y\r\"; interact}
- }
-"
+yes Y | make install-dep
+
+# Check vpp build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP build failed' > /opt/script_status.txt
+ exit
+fi
# Install the evel-library first since we need the lib
cd /opt
@@ -45,6 +47,15 @@ git checkout 312996e2
patch -p1 < ../vCPE-vG-MUX-libevel-fixup.patch
cd vnfs/VES5.0/evel/evel-library/bldjobs
make
+
+# Check eval-library installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE Installation of eval-library failed' > /opt/script_status.txt
+ exit
+fi
+
+
cp ../libs/x86_64/libevel.so /usr/lib
ldconfig
@@ -52,11 +63,24 @@ cd /opt/vpp/build-root
./bootstrap.sh
make V=0 PLATFORM=vpp TAG=vpp install-deb
+# Check vpp/build-root build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP/build-root build failed' > /opt/script_status.txt
+ exit
+fi
+
# Install the VPP package
apt install -y python-ply-lex-3.5 python-ply-yacc-3.5 python-pycparser python-cffi
dpkg -i *.deb
-systemctl stop vpp
+# Check VPP package installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE Installation of VPP package failed' > /opt/script_status.txt
+ exit
+fi
+systemctl stop vpp
# Download and install HC2VPP from source
@@ -183,6 +207,14 @@ p_version=$(echo "${p_version_snap%-*}")
mkdir -p ~/.m2/repository/io/fd/vpp/jvpp-ves/${p_version_snap}
mvn install:install-file -Dfile=/usr/share/java/jvpp-ves-${p_version}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-ves -Dversion=${p_version_snap} -Dpackaging=jar
mvn clean install -nsu -DskipTests=true
+
+# Check hc2vpp installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE Installation of hc2vpp failed' > /opt/script_status.txt
+ exit
+fi
+
l_version=$(cat pom.xml | grep "<version>" | head -1)
l_version=$(echo "${l_version%<*}")
l_version=$(echo "${l_version#*>}")
@@ -196,4 +228,5 @@ then
sed -i 's/\(APT::Periodic::Unattended-Upgrade\) "1"/\1 "0"/' /etc/apt/apt.conf.d/20auto-upgrades
fi
+echo 'Execution of vG-MUX build script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gmux_install.sh b/vnfs/vCPE/scripts/v_gmux_install.sh
index c9162aac..b6796c27 100644
--- a/vnfs/vCPE/scripts/v_gmux_install.sh
+++ b/vnfs/vCPE/scripts/v_gmux_install.sh
@@ -364,8 +364,10 @@ then
sed -i "s/ens[0-9]*/eth0/g" /etc/network/interfaces.d/*.cfg
sed -i "s/ens[0-9]*/eth0/g" /etc/udev/rules.d/70-persistent-net.rules
echo 'network: {config: disabled}' >> /etc/cloud/cloud.cfg.d/99-disable-network-config.cfg
+ echo 'Execution of vG-MUX install script completed' > /opt/script_status.txt
reboot
fi
./v_gmux_init.sh
+echo 'Execution of vG-MUX install script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gw_build.sh b/vnfs/vCPE/scripts/v_gw_build.sh
index 7c03c385..c8348e41 100644
--- a/vnfs/vCPE/scripts/v_gw_build.sh
+++ b/vnfs/vCPE/scripts/v_gw_build.sh
@@ -6,7 +6,7 @@ VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/vpp_source_repo_release_tag.txt)
HC2VPP_SOURCE_REPO_URL=$(cat /opt/config/hc2vpp_source_repo_url.txt)
HC2VPP_SOURCE_REPO_RELEASE_TAG=$(cat /opt/config/hc2vpp_source_repo_release_tag.txt)
CLOUD_ENV=$(cat /opt/config/cloud_env.txt)
-
+ERROR_MESSAGE= "Execution of vGbuild script failed. Reason:"
# Download required dependencies
echo "deb http://ppa.launchpad.net/openjdk-r/ppa/ubuntu $(lsb_release -c -s) main" >> /etc/apt/sources.list.d/java.list
@@ -26,23 +26,44 @@ cd /opt
git clone ${VPP_SOURCE_REPO_URL} -b ${VPP_SOURCE_REPO_RELEASE_TAG} vpp
cd vpp
-yes y | make install-dep
+yes Y | make install-dep
+
+# Check vpp build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP build failed' > /opt/script_status.txt
+ exit
+fi
cd build-root
./bootstrap.sh
make V=0 PLATFORM=vpp TAG=vpp install-deb
+# Check vpp/build-root build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP/build-root build failed' > /opt/script_status.txt
+ exit
+fi
+
+apt --allow-unauthenticated install -y python-ply-lex-3.5 python-ply-yacc-3.5 python-pycparser python-cffi
+
# Install the VPP package
dpkg -i *.deb
-systemctl stop vpp
+# Check vpp package installation status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE VPP package installation failed' > /opt/script_status.txt
+ exit
+fi
+
+systemctl stop vpp
# Download and install HC2VPP from source
cd /opt
git clone ${HC2VPP_SOURCE_REPO_URL} -b ${HC2VPP_SOURCE_REPO_RELEASE_TAG} hc2vpp
-
-apt --allow-unauthenticated install -y python-ply-lex-3.5 python-ply-yacc-3.5 python-pycparser python-cffi
apt-get install -y maven
mkdir -p ~/.m2
cat > ~/.m2/settings.xml << EOF
@@ -155,6 +176,14 @@ EOF
cd hc2vpp
mvn clean install
+
+# Check hc2vpp build status
+if [ $? -ne 0 ];
+then
+ echo '$ERROR_MESSAGE hc2vpp build failed' > /opt/script_status.txt
+ exit
+fi
+
l_version=$(cat pom.xml | grep "<version>" | head -1)
l_version=$(echo "${l_version%<*}")
l_version=$(echo "${l_version#*>}")
@@ -168,3 +197,4 @@ then
sed -i 's/\(APT::Periodic::Unattended-Upgrade\) "1"/\1 "0"/' /etc/apt/apt.conf.d/20auto-upgrades
fi
+echo 'Execution of vG build script completed' > /opt/script_status.txt
diff --git a/vnfs/vCPE/scripts/v_gw_install.sh b/vnfs/vCPE/scripts/v_gw_install.sh
index 0b34d05a..107449a7 100644
--- a/vnfs/vCPE/scripts/v_gw_install.sh
+++ b/vnfs/vCPE/scripts/v_gw_install.sh
@@ -261,6 +261,7 @@ then
sed -i "s/ens[0-9]*/eth0/g" /etc/network/interfaces.d/*.cfg
#sed -i "s/ens[0-9]*/eth0/g" /etc/udev/rules.d/70-persistent-net.rules
echo 'network: {config: disabled}' >> /etc/cloud/cloud.cfg.d/99-disable-network-config.cfg
+ echo 'Execution of vG install script completed' > /opt/script_status.txt
reboot
fi
-
+echo 'Execution of vG install script completed' > /opt/script_status.txt